# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class AccEnedisCDC(models.Model):
    _name = "acc.enedis.cdc"
    _description = "CDC Enedis"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Libellé du fichier")
    acc_operation_id = fields.Many2one(
        "acc.operation", "Opération", required=True, ondelete="cascade"
    )
    acc_counter_id = fields.Many2one("acc.counter", "ID PRM")
    comp_data_type = fields.Selection(
        [
            ("autocons", "autocons"),
            ("cons", "cons"),
            ("prod", "prod"),
            ("surplus", "surplus"),
            ("complement", "complement"),
        ],
        string="Type de donnée calculée",
    )
    power = fields.Float("Puissance en W")
    date_slot = fields.Datetime("Date par Demi Heure")
    date_slot_utc = fields.Datetime("Date par Demi Heure (UTC)")

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
